Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 54691 - Add option to look at link state
Add option to look at link state
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Eido Inoue
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 08:35 EDT by Otto J. Makela
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 13:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otto J. Makela 2001-10-16 08:35:35 EDT
Description of enhancement:
Add option to look at the ethernet (or other network media) link state, so
that pump won't just sit there waiting for a bootp/dhcp response from an
unconnected ethernet card. This would make life a lot nicer for those with
machines which are not always connected to a network, like portable
machines.
Comment 1 Eido Inoue 2001-10-29 11:15:46 EST
I don't think there is a way to do this for all cards. A better solution may be
to allow the user to Ctrl-C doing the broadcast/wait for DHCP server response phase.
Comment 2 Otto J. Makela 2001-10-30 03:38:33 EST
I believe a "link" indicator is always available for twisted-pair type network
cabling systems, but not for the (older) coaxial cabling systems or some
"exotic" variants. Of course, making the request sequence interruptable would
not be a bad idea in any case.

In the longer run, I would like to see the network card link state to work a bit
like the PC cards currently work: when the link comes up, the machine's network
state is reconfigured appropriately.  All this should of course be configurable,
so as not to disrupt things for users who do not want this kind of behavior.
Comment 3 Jeremy Katz 2003-02-19 13:03:13 EST
This is handled before pump gets called now

Note You need to log in before you can comment on or make changes to this bug.